/* extractLOR.cpp
 *
 * ROOT MACRO
 * 
 * Extract the LOR from the ROOT output
 *
 */

{
	gROOT->Reset();
	
#include "Riostream.h"
	
	Int_t i, nevents;	//index i and number of event
	Double_t time;	//time of event
	Float_t x1, y1, z1, x2, y2, z2;	//endpoints of the LOR
	ofstream fout;	//output file
	fout.open("../events/move_rb3_5mm_5muCi.txt");	//store the LOR in the file lor.txt
	
	TFile *f = new TFile("./move_rb3_5mm_5muCi.root");	//replace "output.root" by your root file
	TTree *t = f->Get("Coincidences");	//this is where you tell it what "tree" you want to access: coincidences, singles, or I don't know what else
	
	//here, you get the address of all the info you want (but you don't get the actual values yet)
	t->SetBranchAddress("globalPosX1", &x1);
	t->SetBranchAddress("globalPosY1", &y1);
	t->SetBranchAddress("globalPosZ1", &z1);
	t->SetBranchAddress("globalPosX2", &x2);
	t->SetBranchAddress("globalPosY2", &y2);
	t->SetBranchAddress("globalPosZ2", &z2);
	t->SetBranchAddress("time1", &time);
	/*NOTE: the "name" of the info you want (e.g. "globalPosX1", or "time1") can be found in the root file;
	 1) Open the root file in root: root yourRootFile.root
	 2) Type: TBrowser t
	 3) Navigate to your root file and open it
	 4) Go into the Coincidences directory ("tree", in the root lingo)
	 5) All the "leaves" you see are the information stored for each coincidence; this is where the "globalPosX1" and "time1" come from
	 */
	
	nevents = t->GetEntries();	//I need the total number of events in order to loop adequately over all events
	cout << "Number of events = " << nevents << "\n";
	
	//it's in this loop that you actually extract all the info that you just told root you wanted
	for (i = 0; i < nevents; i++) {
		t->GetEntry(i);	//here, you're accessing event #i; all your variables from above now get the values desired
		//write these values to a .txt file:
		fout << x1 << "\t" << y1 << "\t" << z1 << "\t";
		fout << x2 << "\t" << y2 << "\t" << z2 << "\t";
		fout << time*1000 << "\n";
	}
				
		fout.close();
}